\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-0.5,-0.5) rectangle (6.5,4.5);
\draw[line width=0.8pt] (1.287867965644036,2.2306527499358393) -- (1.6552914270615127,2.018520715579875) -- (1.8674234614174767,2.3859441769973517) -- (1.5,2.598076211353316) -- cycle; 
\draw[line width=0.8pt] (0.42426406871192845,0) -- (0.4242640687119285,0.42426406871192845) -- (0,0.42426406871192845) -- (0,0) -- cycle; 
\draw [shift={(6,0)},line width=0.8pt] (0,0) -- (150:0.6) arc (150:180:0.6) -- cycle;
\draw [line width=1pt] (0,3.464101615137755)-- (0,0);
\draw [line width=1pt] (0,0)-- node[below] {6cm} (6,0);
\draw [line width=1pt] (6,0)-- (0,3.464101615137755);
\draw [line width=1pt] (1.5,2.598076211353316)-- (0,0);
\draw (-0.25,-0.25) node {$A$};
\draw (6.25,-0.25) node {C};
\draw (1.75,2.85) node {$H$};
\draw (-0.25,3.71) node {B};
\draw (5,0.25) node {$30\textrm{\degre}$};
\end{tikzpicture}